Kerbal Space Program - Feedback #3324

Full-Thrust Hotkey interferes with german Keyboard-Layout
10/08/2014 11:13 AM - MalfunctionM1Ke

Status: Needs Clarification

Severity: Low

Assignee:

Category: Controls and Ul

Target version:

Version: 0.25 Language: English (US)
Platform: Win32 Mod Related: No
Expansion:

Description

The Full-Thrust Hotkey "Z" and the german Keyboard Layout it "QWERTZ" which moves the hotkey from right next the "X" for
Engine-Cutoff to the middle of the Keyboard.

Layout attached.

Tested on Win32 but the issue is probably there an ony OS.

Related issues:

Related to Kerbal Space Program - Bug #435: Unable to map non-English keys Updated 03/18/2013
Related to Kerbal Space Program - Bug #1561: Keyboard map is wrong with Itali... Acknowledged10/17/2013
History

#1 - 10/08/2014 11:14 AM - MalfunctionM1Ke
"Full-Thrust"... sorry for typos.

#2 - 10/08/2014 11:43 AM - Squelch

- Tracker changed from Bug to Feedback

- Description updated

Unfortunately KSP does not support locales at present, so keyboard layouts will be different depending on your preferred language.
This can be worked around by remapping your Y key to Full thrust in the settings. The Y key is currently unused.

I have set this to a feedback issue, and it will be forwarded to the developers.

#3 - 10/08/2014 11:44 AM - Squelch

- Subject changed from Full-Throst Hotkey interferes with german Keyboard-Layout to Full-Thrust Hotkey interferes with german Keyboard-Layout

#4 - 10/08/2014 11:45 AM - MalfunctionM1Ke
Squelch wrote:
Unfortunately KSP does not support locales at present, so keyboard layouts will be different depending on your preferred language.

This can be worked around by remapping your Y key to Full thrust in the settings. The Y key is currently unused.

| have set this to a feedback issue, and it will be forwarded to the developers.

Thanks

#5 - 07/17/2016 09:26 AM - TriggerAu

- Status changed from New to Needs Clarification
